## Package Win32::GUI::UpDown

Back to the Packages

- Constructor

  - new Win32::GUI::UpDown(PARENT, %OPTIONS)

- Methods

  - Base([VALUE])

  - Buddy([OBJECT])

  - Pos([VALUE])

  - Range([MIN, MAX])

- Events

  - Scroll()

### Constructor

new Win32::GUI::UpDown(PARENT, %OPTIONS)

  Creates a new UpDown object; can also be called as PARENT->AddUpDown(%OPTIONS).

### Methods

Base([VALUE])

  Gets or sets the radix base for the UpDown control; VALUE can be either 10 or 16 for decimal or hexadecimal base numbering.

Buddy([OBJECT])

  Gets or sets the buddy window for the UpDown control.

Pos([VALUE])

  Gets or sets the current position of the UpDown control.

Range([MIN, MAX])

  Gets or sets the range for the UpDown control; if no parameter is given, returns a two element array containing the MIN and MAX range values, otherwise sets them to the given values. If MAX is lower than MIN, the UpDown control function is reversed, eg. the up button decrements the value and the down button increments it

### Events

Scroll()

  Sent when the user presses either the up or down button of the UpDown control.